Bug 67973 - default driver for LaserJet 2100 doesn't work
default driver for LaserJet 2100 doesn't work
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: foomatic (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-07-04 19:36 EDT by Tammy Fox
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-08 00:20:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tammy Fox 2002-07-04 19:36:40 EDT
I have an HP LaserJet 2100. It is detected as an HP LaserJet 2100M with
Postscript as the default driver. With this driver, the test page prints
a page with a few lines on it and a bunch of blank pages. If I change the
driver to one of the drivers under HP LaserJet 2100, it works. Is there
a way to change the default driver to a HP LaserJet 2100 driver instead
of one for the HP LaserJet 2100M?
Comment 1 Tim Waugh 2002-07-05 04:15:45 EDT
Is this connected to the parallel port?  If so what does 'cat 
/proc/sys/dev/parport/parport*/autoprobe*' say?
Comment 2 Tim Waugh 2002-07-05 05:29:40 EDT
Never mind, I figured it out. 
 
The 2100M advertises itself as "HP LaserJet 2100 Series", and the foomatic 
database has that string linked only to the 2100M. (Really the string ought to 
say '2100M', but that's not foomatic's fault.) 
 
The bigger question is why 'Postscript' doesn't work.  Is it really not 
PostScript-capable?
Comment 3 Tammy Fox 2002-07-05 13:07:31 EDT
I don't think the LaserJet 2100 is postscript-capable.
Comment 4 Tim Waugh 2002-07-05 18:28:10 EDT
Fixed in foomatic-1.9-1.20020617.3.
Comment 5 Tammy Fox 2002-07-05 18:58:02 EDT
I just found a PDF from the HP website that says the 2100M is the 2100
with PostScript Level II emulation.
http://www.hp.com/itrc_pdi/products/pdfs/lj2100.pdf
Comment 6 Jay Turner 2002-07-30 09:15:55 EDT
Fix to foomatic confirmed with foomatic-1.9-1.20020617.3.  It doesn't appear
that the other problem is really a problem.  Just reopen if the fact that the
printer is barfing on postscript test pages is something we are worried about.

Note You need to log in before you can comment on or make changes to this bug.